Bug 14724 - switch to previous screen does not work
Summary: switch to previous screen does not work
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: screen   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard: Winston gold
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-27 11:42 UTC by David Balažic
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-05 19:14:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Balažic 2000-07-27 11:42:29 UTC
When using screen in gnome-terminal the key combination
ctrl-A backspace does not work.

It should switch to the previous virtual screen , but
the backspace is passed through to the virtual screen !

If I do ctrl-A ctrl-H it works !

Comment 1 Glen Foster 2000-07-30 21:45:48 UTC
This defect is considered MUST-FIX for Winston Gold-release

Comment 2 Brent Nordquist 2000-08-01 00:55:18 UTC
This appears to be fixed in Pinstripe Beta-5?  Tested with screen in a
gnome-terminal, X launched both from xdm and startx.  "stty -a" reports "erase
^?" for both.  Ctrl+A Backspace works fine for me, as do Ctrl+A Ctrl+H, Ctrl+A
P, etc.

Comment 3 Crutcher Dunnavant 2000-08-03 13:55:02 UTC
Well, everything seems to work for me in pinstripe EXCEPT "C-a h" and "C-a C-h",
so we have "C-a backspace" back, but I'm leaving this bug open for now.

Comment 4 Tim Waugh 2000-08-03 15:13:20 UTC
C-a BackSpace, C-a h, and C-a C-h all work for me.  screen-3.9.5-8.

Comment 5 Crutcher Dunnavant 2000-08-03 16:54:00 UTC
This is uglyness,
But the proper behavior is:
hardcopy		C-a h
previous		C-a C-h
log		C-a H

It just so happens that some of these default bindings were documented under
multiple bindings.
I've fixed the documentation, if the changes don't work for you, check your
.screenrc file or your .screen directory

screen is now 3.9.5-10

closing this bug

Comment 6 David Balažic 2001-02-07 17:13:31 UTC
ctrl-a Backspace doesn't work in screen 3.9.5-13 as
shipped in RHL 7.0.

Comment 7 David Balažic 2001-03-05 19:14:33 UTC
Does not work in Wolverine , screen-3.9.8-3

Comment 8 Crutcher Dunnavant 2001-06-26 20:46:13 UTC
works in 3.9.9

Comment 9 Crutcher Dunnavant 2001-06-26 20:56:46 UTC
the real issue is "what backspace are you getting"?


Note You need to log in before you can comment on or make changes to this bug.